Package com.independentsoft.office.vml

# Class Lock

java.lang.Object
com.independentsoft.office.vml.Lock

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class Lock extends Object implements IShapeElement, IVmlElement
The Class Lock.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Lock()`
  Instantiates a new lock.
  `Lock​(InternalXMLStreamReader reader)`
  Instantiates a new lock.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Lock`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `ExtensionHandlingBehavior`
  `getExtensionHandlingBehavior()`
  Gets the extension handling behavior.
  `boolean`
  `isAspectRatio()`
  Checks if is aspect ratio.
  `boolean`
  `isAutoShapeType()`
  Checks if is auto shape type.
  `boolean`
  `isCropping()`
  Checks if is cropping.
  `boolean`
  `isGrouping()`
  Checks if is grouping.
  `boolean`
  `isHandles()`
  Checks if is handles.
  `boolean`
  `isPosition()`
  Checks if is position.
  `boolean`
  `isRotation()`
  Checks if is rotation.
  `boolean`
  `isSelection()`
  Checks if is selection.
  `boolean`
  `isText()`
  Checks if is text.
  `boolean`
  `isUngrouping()`
  Checks if is ungrouping.
  `boolean`
  `isVertices()`
  Checks if is vertices.
  `void`
  `setAspectRatio​(boolean aspectRatio)`
  Sets the aspect ratio.
  `void`
  `setAutoShapeType​(boolean autoShapeType)`
  Sets the auto shape type.
  `void`
  `setCropping​(boolean cropping)`
  Sets the cropping.
  `void`
  `setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)`
  Sets the extension handling behavior.
  `void`
  `setGrouping​(boolean grouping)`
  Sets the grouping.
  `void`
  `setHandles​(boolean handles)`
  Sets the handles.
  `void`
  `setPosition​(boolean position)`
  Sets the position.
  `void`
  `setRotation​(boolean rotation)`
  Sets the rotation.
  `void`
  `setSelection​(boolean selection)`
  Sets the selection.
  `void`
  `setText​(boolean text)`
  Sets the text.
  `void`
  `setUngrouping​(boolean ungrouping)`
  Sets the ungrouping.
  `void`
  `setVertices​(boolean vertices)`
  Sets the vertices.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Lock

    public Lock()
    Instantiates a new lock.

  - ### Lock

    public Lock​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new lock.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Lock clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isHandles

    public boolean isHandles()
    Checks if is handles.
    Returns:
      true, if is handles

  - ### setHandles

    public void setHandles​(boolean handles)
    Sets the handles.
    Parameters:
      `handles` - the new handles

  - ### isAspectRatio

    public boolean isAspectRatio()
    Checks if is aspect ratio.
    Returns:
      true, if is aspect ratio

  - ### setAspectRatio

    public void setAspectRatio​(boolean aspectRatio)
    Sets the aspect ratio.
    Parameters:
      `aspectRatio` - the new aspect ratio

  - ### isCropping

    public boolean isCropping()
    Checks if is cropping.
    Returns:
      true, if is cropping

  - ### setCropping

    public void setCropping​(boolean cropping)
    Sets the cropping.
    Parameters:
      `cropping` - the new cropping

  - ### getExtensionHandlingBehavior

    public ExtensionHandlingBehavior getExtensionHandlingBehavior()
    Gets the extension handling behavior.
    Returns:
      the extension handling behavior

  - ### setExtensionHandlingBehavior

    public void setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)
    Sets the extension handling behavior.
    Parameters:
      `extensionHandlingBehavior` - the new extension handling behavior

  - ### isGrouping

    public boolean isGrouping()
    Checks if is grouping.
    Returns:
      true, if is grouping

  - ### setGrouping

    public void setGrouping​(boolean grouping)
    Sets the grouping.
    Parameters:
      `grouping` - the new grouping

  - ### isPosition

    public boolean isPosition()
    Checks if is position.
    Returns:
      true, if is position

  - ### setPosition

    public void setPosition​(boolean position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### isRotation

    public boolean isRotation()
    Checks if is rotation.
    Returns:
      true, if is rotation

  - ### setRotation

    public void setRotation​(boolean rotation)
    Sets the rotation.
    Parameters:
      `rotation` - the new rotation

  - ### isSelection

    public boolean isSelection()
    Checks if is selection.
    Returns:
      true, if is selection

  - ### setSelection

    public void setSelection​(boolean selection)
    Sets the selection.
    Parameters:
      `selection` - the new selection

  - ### isAutoShapeType

    public boolean isAutoShapeType()
    Checks if is auto shape type.
    Returns:
      true, if is auto shape type

  - ### setAutoShapeType

    public void setAutoShapeType​(boolean autoShapeType)
    Sets the auto shape type.
    Parameters:
      `autoShapeType` - the new auto shape type

  - ### isText

    public boolean isText()
    Checks if is text.
    Returns:
      true, if is text

  - ### setText

    public void setText​(boolean text)
    Sets the text.
    Parameters:
      `text` - the new text

  - ### isUngrouping

    public boolean isUngrouping()
    Checks if is ungrouping.
    Returns:
      true, if is ungrouping

  - ### setUngrouping

    public void setUngrouping​(boolean ungrouping)
    Sets the ungrouping.
    Parameters:
      `ungrouping` - the new ungrouping

  - ### isVertices

    public boolean isVertices()
    Checks if is vertices.
    Returns:
      true, if is vertices

  - ### setVertices

    public void setVertices​(boolean vertices)
    Sets the vertices.
    Parameters:
      `vertices` - the new vertices